com.mapinfo.midev.language.filter

## Class DistanceFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.DistanceFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class DistanceFilterCapability
    extends Object
    implements IFilterCapability

Identifies all the `DistanceFilter` capabilities supported by an `IDataSourceTable`.

See Also:
  `DistanceFilter`, `DistanceFilterType`, `FilterCapabilities`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DistanceFilterCapability` `build(DistanceFilterType[] types)` Returns a `DistanceFilterCapability` with the specified `DistanceFilterType`s.
`boolean` `equals(Object o)`
`Set` `getCapabilities()` Returns the `DistanceFilterType`s that this `DistanceFilterCapability` supports.
`int` `hashCode()`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCapabilities

    public Set getCapabilities()

Returns the `DistanceFilterType`s that this `DistanceFilterCapability` supports.

Returns:
  the `DistanceFilterType`s that this `DistanceFilterCapability` supports.

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### build

    public static DistanceFilterCapability build(DistanceFilterType[] types)

Returns a `DistanceFilterCapability` with the specified `DistanceFilterType`s.

Parameters:
  `types` - `DistanceFilterType`s supported.
Returns:
  a `DistanceFilterCapability` with the specified `DistanceFilterType`s.